import React from 'react';
export type PaletteTokens = Record<string, string>;
type PaletteContextValue = {
    tokens: PaletteTokens;
};
export declare function PaletteProvider({ tokens, children }: {
    tokens: PaletteTokens | undefined;
    children: React.ReactNode;
}): import("react/jsx-runtime").JSX.Element;
export declare function usePalette(): PaletteContextValue;
export {};
